/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeElasticsearchDomainConfigInput } from "../types/DescribeElasticsearchDomainConfigInput";
import { DescribeElasticsearchDomainConfigOutput } from "../types/DescribeElasticsearchDomainConfigOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/DescribeElasticsearchDomainConfigInput";
export * from "../types/DescribeElasticsearchDomainConfigOutput";
export * from "../types/DescribeElasticsearchDomainConfigExceptionsUnion";
export declare class DescribeElasticsearchDomainConfigCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeElasticsearchDomainConfigInput, OutputTypesUnion, DescribeElasticsearchDomainConfigOutput, ElasticsearchServiceResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeElasticsearchDomainConfigInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeElasticsearchDomainConfigInput, DescribeElasticsearchDomainConfigOutput, _stream.Readable>;
    constructor(input: DescribeElasticsearchDomainConfigInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeElasticsearchDomainConfigInput, DescribeElasticsearchDomainConfigOutput>;
}
