"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RemoveTagsInput_1 = require("../shapes/RemoveTagsInput");
const RemoveTagsOutput_1 = require("../shapes/RemoveTagsOutput");
const BaseException_1 = require("../shapes/BaseException");
const ValidationException_1 = require("../shapes/ValidationException");
const InternalException_1 = require("../shapes/InternalException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveTags",
    http: {
        method: "POST",
        requestUri: "/2015-01-01/tags-removal"
    },
    input: {
        shape: RemoveTagsInput_1.RemoveTagsInput
    },
    output: {
        shape: RemoveTagsOutput_1.RemoveTagsOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=RemoveTags.js.map