"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DescribeElasticsearchInstanceTypeLimitsInput = {
    type: "structure",
    required: ["InstanceType", "ElasticsearchVersion"],
    members: {
        DomainName: {
            shape: {
                type: "string",
                min: 3
            },
            location: "querystring",
            locationName: "domainName"
        },
        InstanceType: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "InstanceType"
        },
        ElasticsearchVersion: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "ElasticsearchVersion"
        }
    }
};
//# sourceMappingURL=DescribeElasticsearchInstanceTypeLimitsInput.js.map