import { AddTagsInput } from "./AddTagsInput";
import { CancelElasticsearchServiceSoftwareUpdateInput } from "./CancelElasticsearchServiceSoftwareUpdateInput";
import { CreateElasticsearchDomainInput } from "./CreateElasticsearchDomainInput";
import { DeleteElasticsearchDomainInput } from "./DeleteElasticsearchDomainInput";
import { DeleteElasticsearchServiceRoleInput } from "./DeleteElasticsearchServiceRoleInput";
import { DescribeElasticsearchDomainInput } from "./DescribeElasticsearchDomainInput";
import { DescribeElasticsearchDomainConfigInput } from "./DescribeElasticsearchDomainConfigInput";
import { DescribeElasticsearchDomainsInput } from "./DescribeElasticsearchDomainsInput";
import { DescribeElasticsearchInstanceTypeLimitsInput } from "./DescribeElasticsearchInstanceTypeLimitsInput";
import { DescribeReservedElasticsearchInstanceOfferingsInput } from "./DescribeReservedElasticsearchInstanceOfferingsInput";
import { DescribeReservedElasticsearchInstancesInput } from "./DescribeReservedElasticsearchInstancesInput";
import { GetCompatibleElasticsearchVersionsInput } from "./GetCompatibleElasticsearchVersionsInput";
import { GetUpgradeHistoryInput } from "./GetUpgradeHistoryInput";
import { GetUpgradeStatusInput } from "./GetUpgradeStatusInput";
import { ListDomainNamesInput } from "./ListDomainNamesInput";
import { ListElasticsearchInstanceTypesInput } from "./ListElasticsearchInstanceTypesInput";
import { ListElasticsearchVersionsInput } from "./ListElasticsearchVersionsInput";
import { ListTagsInput } from "./ListTagsInput";
import { PurchaseReservedElasticsearchInstanceOfferingInput } from "./PurchaseReservedElasticsearchInstanceOfferingInput";
import { RemoveTagsInput } from "./RemoveTagsInput";
import { StartElasticsearchServiceSoftwareUpdateInput } from "./StartElasticsearchServiceSoftwareUpdateInput";
import { UpdateElasticsearchDomainConfigInput } from "./UpdateElasticsearchDomainConfigInput";
import { UpgradeElasticsearchDomainInput } from "./UpgradeElasticsearchDomainInput";
export declare type InputTypesUnion = AddTagsInput | CancelElasticsearchServiceSoftwareUpdateInput | CreateElasticsearchDomainInput | DeleteElasticsearchDomainInput | DeleteElasticsearchServiceRoleInput | DescribeElasticsearchDomainInput | DescribeElasticsearchDomainConfigInput | DescribeElasticsearchDomainsInput | DescribeElasticsearchInstanceTypeLimitsInput | DescribeReservedElasticsearchInstanceOfferingsInput | DescribeReservedElasticsearchInstancesInput | GetCompatibleElasticsearchVersionsInput | GetUpgradeHistoryInput | GetUpgradeStatusInput | ListDomainNamesInput | ListElasticsearchInstanceTypesInput | ListElasticsearchVersionsInput | ListTagsInput | PurchaseReservedElasticsearchInstanceOfferingInput | RemoveTagsInput | StartElasticsearchServiceSoftwareUpdateInput | UpdateElasticsearchDomainConfigInput | UpgradeElasticsearchDomainInput;
