import { _UnmarshalledTag } from "./_Tag";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p>The result of a <code>ListTags</code> operation. Contains tags for all requested Elasticsearch domains.</p>
 */
export interface ListTagsOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p> List of <code>Tag</code> for the requested Elasticsearch domain.</p>
     */
    TagList?: Array<_UnmarshalledTag>;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
