import { AddTagsOutput } from "./AddTagsOutput";
import { CancelElasticsearchServiceSoftwareUpdateOutput } from "./CancelElasticsearchServiceSoftwareUpdateOutput";
import { CreateElasticsearchDomainOutput } from "./CreateElasticsearchDomainOutput";
import { DeleteElasticsearchDomainOutput } from "./DeleteElasticsearchDomainOutput";
import { DeleteElasticsearchServiceRoleOutput } from "./DeleteElasticsearchServiceRoleOutput";
import { DescribeElasticsearchDomainOutput } from "./DescribeElasticsearchDomainOutput";
import { DescribeElasticsearchDomainConfigOutput } from "./DescribeElasticsearchDomainConfigOutput";
import { DescribeElasticsearchDomainsOutput } from "./DescribeElasticsearchDomainsOutput";
import { DescribeElasticsearchInstanceTypeLimitsOutput } from "./DescribeElasticsearchInstanceTypeLimitsOutput";
import { DescribeReservedElasticsearchInstanceOfferingsOutput } from "./DescribeReservedElasticsearchInstanceOfferingsOutput";
import { DescribeReservedElasticsearchInstancesOutput } from "./DescribeReservedElasticsearchInstancesOutput";
import { GetCompatibleElasticsearchVersionsOutput } from "./GetCompatibleElasticsearchVersionsOutput";
import { GetUpgradeHistoryOutput } from "./GetUpgradeHistoryOutput";
import { GetUpgradeStatusOutput } from "./GetUpgradeStatusOutput";
import { ListDomainNamesOutput } from "./ListDomainNamesOutput";
import { ListElasticsearchInstanceTypesOutput } from "./ListElasticsearchInstanceTypesOutput";
import { ListElasticsearchVersionsOutput } from "./ListElasticsearchVersionsOutput";
import { ListTagsOutput } from "./ListTagsOutput";
import { PurchaseReservedElasticsearchInstanceOfferingOutput } from "./PurchaseReservedElasticsearchInstanceOfferingOutput";
import { RemoveTagsOutput } from "./RemoveTagsOutput";
import { StartElasticsearchServiceSoftwareUpdateOutput } from "./StartElasticsearchServiceSoftwareUpdateOutput";
import { UpdateElasticsearchDomainConfigOutput } from "./UpdateElasticsearchDomainConfigOutput";
import { UpgradeElasticsearchDomainOutput } from "./UpgradeElasticsearchDomainOutput";
export declare type OutputTypesUnion = AddTagsOutput | CancelElasticsearchServiceSoftwareUpdateOutput | CreateElasticsearchDomainOutput | DeleteElasticsearchDomainOutput | DeleteElasticsearchServiceRoleOutput | DescribeElasticsearchDomainOutput | DescribeElasticsearchDomainConfigOutput | DescribeElasticsearchDomainsOutput | DescribeElasticsearchInstanceTypeLimitsOutput | DescribeReservedElasticsearchInstanceOfferingsOutput | DescribeReservedElasticsearchInstancesOutput | GetCompatibleElasticsearchVersionsOutput | GetUpgradeHistoryOutput | GetUpgradeStatusOutput | ListDomainNamesOutput | ListElasticsearchInstanceTypesOutput | ListElasticsearchVersionsOutput | ListTagsOutput | PurchaseReservedElasticsearchInstanceOfferingOutput | RemoveTagsOutput | StartElasticsearchServiceSoftwareUpdateOutput | UpdateElasticsearchDomainConfigOutput | UpgradeElasticsearchDomainOutput;
