/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListDomainNamesInput } from "../types/ListDomainNamesInput";
import { ListDomainNamesOutput } from "../types/ListDomainNamesOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/ListDomainNamesInput";
export * from "../types/ListDomainNamesOutput";
export * from "../types/ListDomainNamesExceptionsUnion";
export declare class ListDomainNamesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListDomainNamesInput, OutputTypesUnion, ListDomainNamesOutput, ElasticsearchServiceResolvedConfiguration, _stream.Readable> {
    readonly input: ListDomainNamesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListDomainNamesInput, ListDomainNamesOutput, _stream.Readable>;
    constructor(input: ListDomainNamesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<ListDomainNamesInput, ListDomainNamesOutput>;
}
