/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpgradeElasticsearchDomainInput } from "../types/UpgradeElasticsearchDomainInput";
import { UpgradeElasticsearchDomainOutput } from "../types/UpgradeElasticsearchDomainOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/UpgradeElasticsearchDomainInput";
export * from "../types/UpgradeElasticsearchDomainOutput";
export * from "../types/UpgradeElasticsearchDomainExceptionsUnion";
export declare class UpgradeElasticsearchDomainCommand implements __aws_sdk_types.Command<InputTypesUnion, UpgradeElasticsearchDomainInput, OutputTypesUnion, UpgradeElasticsearchDomainOutput, ElasticsearchServiceResolvedConfiguration, _stream.Readable> {
    readonly input: UpgradeElasticsearchDomainInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpgradeElasticsearchDomainInput, UpgradeElasticsearchDomainOutput, _stream.Readable>;
    constructor(input: UpgradeElasticsearchDomainInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<UpgradeElasticsearchDomainInput, UpgradeElasticsearchDomainOutput>;
}
