"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeElasticsearchDomainConfigInput_1 = require("../shapes/DescribeElasticsearchDomainConfigInput");
const DescribeElasticsearchDomainConfigOutput_1 = require("../shapes/DescribeElasticsearchDomainConfigOutput");
const BaseException_1 = require("../shapes/BaseException");
const InternalException_1 = require("../shapes/InternalException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ValidationException_1 = require("../shapes/ValidationException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeElasticsearchDomainConfig = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeElasticsearchDomainConfig",
    http: {
        method: "GET",
        requestUri: "/2015-01-01/es/domain/{DomainName}/config"
    },
    input: {
        shape: DescribeElasticsearchDomainConfigInput_1.DescribeElasticsearchDomainConfigInput
    },
    output: {
        shape: DescribeElasticsearchDomainConfigOutput_1.DescribeElasticsearchDomainConfigOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=DescribeElasticsearchDomainConfig.js.map