"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeReservedElasticsearchInstanceOfferingsInput_1 = require("../shapes/DescribeReservedElasticsearchInstanceOfferingsInput");
const DescribeReservedElasticsearchInstanceOfferingsOutput_1 = require("../shapes/DescribeReservedElasticsearchInstanceOfferingsOutput");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ValidationException_1 = require("../shapes/ValidationException");
const DisabledOperationException_1 = require("../shapes/DisabledOperationException");
const InternalException_1 = require("../shapes/InternalException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReservedElasticsearchInstanceOfferings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReservedElasticsearchInstanceOfferings",
    http: {
        method: "GET",
        requestUri: "/2015-01-01/es/reservedInstanceOfferings"
    },
    input: {
        shape: DescribeReservedElasticsearchInstanceOfferingsInput_1.DescribeReservedElasticsearchInstanceOfferingsInput
    },
    output: {
        shape: DescribeReservedElasticsearchInstanceOfferingsOutput_1.DescribeReservedElasticsearchInstanceOfferingsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: DisabledOperationException_1.DisabledOperationException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=DescribeReservedElasticsearchInstanceOfferings.js.map